SystemOrganization addCategory: #ConfigurationOfOmniBrowser!

Object subclass: #ConfigurationOfOmniBrowser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfOmniBrowser'!

!ConfigurationOfOmniBrowser class methodsFor: 'private' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfOmniBrowser class methodsFor: 'private' stamp: 'MarianoMartinezPeck 12/30/2009 17:56'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load latest version of Metacello, load a specific version if desired"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #loadLatestVersion ]! !

!ConfigurationOfOmniBrowser class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfOmniBrowser class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfOmniBrowser class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfOmniBrowser class methodsFor: 'accessing' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
project

	^self new project! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 1/9/2010 16:30'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://source.wiresong.ca/ob'.
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Refactoring-Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ).].
			
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Shout' with: [ spec requires: 'OB-Morphic' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser')];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic')];
			package: 'BogusInfo';
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo')];
			package: 'OCForOB' with: [ 
				spec repository: 'http://www.squeaksource.com/OCompletion'; 
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')].	
	
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			
			yourself.	
				
			
	]! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'dkh 1/12/2010 10:48'!
baseline11: spec 
	<version: '1.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
	
	spec for: #pharo do: [
		spec repository: 'http://source.lukas-renggli.ch/omnibrowser'.
		spec
			project: 'Refactoring-Core' with: [
				spec
					className: 'ConfigurationOfRefactoringBrowser';
					loads: #('Refactoring-Core' );
					file: 'ConfigurationOfRefactoringBrowser';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Refactoring Tests' 
				copyFrom: 'Refactoring-Core' 
				with: [ spec loads: #('Tests' ).];
			project: 'OCompletion' with: [
				spec
					className: 'ConfigurationOfOCompletion';
					loads: #('Core' );
					file: 'ConfigurationOfOCompletion';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'OCompletion Tests' 
				copyFrom: 'OCompletion' 
				with: [ spec loads: #('Tests' ).].
			
		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Shout' with: [ spec requires: 'OB-Morphic' ];
			package: 'OB-Refactory' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Regex' with: [ spec requires: #('Refactoring-Core' 'OB-Standard')];
			package: 'OB-Tests-Core' with: [ spec requires: #('OmniBrowser' )];
			package: 'OB-Tests-Morphic' with: [ spec requires: #('OB-Morphic' 'OB-Tests-Core' )];
			package: 'BogusInfo';
			package: 'OB-Fake' with: [ spec requires: 'OB-Tests-Core'];
			package: 'OB-Tests-Standard' with: [ spec requires: #('OB-Standard' 'BogusInfo' 'OB-Fake' )];
			package: 'OCForOB' with: [ 
				spec repository: 'http://www.squeaksource.com/OCompletion'; 
				requires: #('OCompletion' 'OmniBrowser' 'OB-Standard')].	
	
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core Tests' with: #( 'OB-Tests-Core' 'OB-Tests-Morphic' 'OB-Tests-Standard' ); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' 'OB-Refactory' 'OB-Regex' 'OCForOB');	
			group: 'Dev Tests' with: #( 'Core Tests' 'Refactoring Tests' 'OCompletion Tests' );
			
			yourself.	
	].
	spec for: #squeak do: [
		spec repository: 'http://source.wiresong.ca/ob'.

		spec 
			package: 'OmniBrowser';
			package: 'OB-Morphic' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Standard' with: [ 
				spec 
					requires: #('OmniBrowser' 'OB-Morphic' );
					postLoadDoIt: #postLoadOBStandard ];
			package: 'OB-SUnitIntegration' with: [ spec requires: 'OmniBrowser' ];
			package: 'OB-Shout' with: [ spec requires: 'OB-Morphic' ];
			yourself.

		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #( 'OmniBrowser' 'OB-Morphic' 'OB-Standard' );
			group: 'Core Tests' with: #('Core'); 
			group: 'Dev' with: #( 'Core' 'OB-SUnitIntegration' 'OB-Shout' );	
			group: 'Dev Tests' with: #('Dev');
			
			yourself.	
	].! !

!ConfigurationOfOmniBrowser methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 5/20/2010 13:21'!
postLoadOBStandard

	Smalltalk at: #SystemBrowser ifPresent: [:cl | cl default: (Smalltalk classNamed: #OBSystemBrowserAdaptor)].
	Preferences enable: #mercuryPanel.! !

!ConfigurationOfOmniBrowser methodsFor: 'accessing' stamp: 'MarianoMartinezPeck 12/18/2009 16:57'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		project ]! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 4/29/2010 23:46'!
version101: spec
	<version: '1.0.1' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: 'The version 1.0 was broken because someone remove a version from the repository. This version fix that.'.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.0'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.458';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.110';
			package: 'OB-Standard' with: 'OB-Standard-DamienCassou.438';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.180';
			package: 'OB-Regex' with: 'OB-Regex-lr.21';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.16';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-cwp.72';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-cwp.19';
			package: 'BogusInfo' with: 'BogusInfo-cwp.17';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-cwp.95';
			package: 'OCForOB' with: 'OCForOB-rr.2'.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 4/29/2010 23:47'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #broken.
		spec author: 'MarianoMartinezPeck'.
		spec description: 'First release 1.0 of this project '.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.0'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-DamienCassou.462';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.110';
			package: 'OB-Standard' with: 'OB-Standard-DamienCassou.438';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.180';
			package: 'OB-Regex' with: 'OB-Regex-lr.21';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.16';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-cwp.72';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-cwp.19';
			package: 'BogusInfo' with: 'BogusInfo-cwp.17';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-cwp.95';
			package: 'OCForOB' with: 'OCForOB-rr.2'.
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 3/20/2010 20:10'!
version111: spec
	<version: '1.1.1' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: '- Getting more tests green
		- Fixes to Pharo issues 1748, 1670, 1667, 1705, 1667, 1891
		'.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.2'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.469';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.116';
			package: 'OB-Standard' with: 'OB-Standard-lr.458';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.202';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.81';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.26';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 4/6/2010 12:15'!
version112: spec
	<version: '1.1.2' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: '- Getting more tests green
		- Fixes to Pharo issues 1748, 1670, 1667, 1705, 1667, 1891
		'.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.2'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.469';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.116';
			package: 'OB-Standard' with: 'OB-Standard-lr.460';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.203';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.81';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.26';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.108';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 4/6/2010 17:52'!
version113: spec
	<version: '1.1.3' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: '- Fixes to Pharo issues 2274:
		'.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.2'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.469';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.116';
			package: 'OB-Standard' with: 'OB-Standard-lr.463';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.203';
			package: 'OB-Regex' with: 'OB-Regex-lr.22';
			package: 'OB-Shout' with: 'OB-Shout-lr.5';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.24';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.81';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.26';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.110';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 6/13/2010 20:43'!
version114: spec
	<version: '1.1.4' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Alexandre Bergel'.
		spec description: ''.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.4';
			project: 'OCompletion' with: '1.1.1';
			project: 'OCompletion Tests' with: '1.1.1'.
			
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.481';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.129';
			package: 'OB-Standard' with: 'OB-Standard-lr.478';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.213';
			package: 'OB-Regex' with: 'OB-Regex-lr.23';
			package: 'OB-Shout' with: 'OB-Shout-lr.6';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.30';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.81';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.27';
			package: 'BogusInfo' with: 'BogusInfo-lr.21';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.112';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 7/3/2010 11:24'!
version115: spec
	<version: '1.1.5' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Mariano Martinez Peck'.
		spec description: ''.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.5';
			project: 'OCompletion' with: '1.1.2';
			project: 'OCompletion Tests' with: '1.1.2'.
			
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.481';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.129';
			package: 'OB-Standard' with: 'OB-Standard-lr.478';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.216';
			package: 'OB-Regex' with: 'OB-Regex-lr.23';
			package: 'OB-Shout' with: 'OB-Shout-lr.6';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.30';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.81';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.27';
			package: 'BogusInfo' with: 'BogusInfo-lr.22';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.112';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.14'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !

!ConfigurationOfOmniBrowser methodsFor: 'versions' stamp: 'MarianoMartinezPeck 1/27/2010 22:30'!
version11: spec
	<version: '1.1' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'MarianoMartinezPeck'.
		spec description: '- Move to Lukas Renggli repository.
		- New tests and bug fixes '.
	].
	
	spec for: #pharo do: [
		spec
			project: 'Refactoring-Core' with: '1.1'.
		
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-lr.458';
			package: 'OB-Morphic' with: 'OB-Morphic-lr.112';
			package: 'OB-Standard' with: 'OB-Standard-lr.442';
			package: 'OB-Refactory' with: 'OB-Refactory-lr.194';
			package: 'OB-Regex' with: 'OB-Regex-lr.21';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.22';
			package: 'OB-Tests-Core' with: 'OB-Tests-Core-lr.77';
			package: 'OB-Tests-Morphic' with: 'OB-Tests-Morphic-lr.23';
			package: 'BogusInfo' with: 'BogusInfo-lr.18';
			package: 'OB-Tests-Standard' with: 'OB-Tests-Standard-lr.100';
			package: 'OCForOB' with: 'OCForOB-rr.2';
			package: 'OB-Fake' with: 'OB-Fake-lr.12'.
	].
	spec for: #squeak do: [
		spec author: 'DaleHenrichs'.
		spec description: 'Squeak support based on Squeak3.10.2-Trunk-090912 and OmniBrowser-2.0.3.sar'.
		spec 
			package: 'OmniBrowser' with: 'OmniBrowser-cwp.453';
			package: 'OB-Morphic' with: 'OB-Morphic-cwp.100';
			package: 'OB-Standard' with: 'OB-Standard-cwp.429';
			package: 'OB-Shout' with: 'OB-Shout-cwp.2';
			package: 'OB-SUnitIntegration' with: 'OB-SUnitIntegration-lr.14'
	] ! !
